# classes/phing/tasks/ext/Service/Amazon/S3/S3PutTask.php

## \S3PutTask
jump to top

Stores an object on S3

Provides common methods and properties to all of the S3 tasks

Extends from
  \Service_Amazon_S3
author
  Andrei Serdeliuc
copyright
  2001,2002 THYRELL. All rights reserved
extends
  Service_Amazon_S3
package
  phing.tasks.ext
version
  $Id: S3PutTask.php 1184 2011-06-22 13:36:56Z mrook $

### Properties

`mixed $_content= 'null'`

Content we're trying to upload

The user can specify either a file to upload or just a bit of content

(default value: null)

Default value `null` Details

Type
  mixed
access
  protected

`bool $_createBuckets= 'false'`

Whether to try to create buckets or not

(default value: false)

Default value `false` Details

Type
  bool
access
  protected

`array $_filesets= 'array'`

Collection of filesets Used for uploading multiple files

(default value: array())

Default value `array` Details

Type
  array
access
  protected

`string $_source= 'null'`

File we're trying to upload

(default value: null)

Default value `null` Details

Type
  string
access
  protected

### Methods

`createFileset( ) : \FileSet`
creator for _filesets
Returns

Type | Description
--- | ---
\FileSet |

Details

access
  public

`execute( ) : void`
Store the object on S3
Details

access
  public

`getContent( ) :`
`getCreateBuckets( ) :`
`getFilesets( ) : array`
getter for _filesets
Returns

Type | Description
--- | ---
array |

Details

access
  public

`getObject( ) :`
`getObjectData( ) : string`
Determines what we're going to store in the object

If _content has been set, this will get stored, otherwise, we read from _source

Returns

Type | Description
--- | ---
string |

Details

access
  public

`getSource( ) :`
`saveObject( $object, $data ) :`
Parameters

Name | Type | Description
--- | --- | ---
$object |  |
$data |  |

`setContent( $content ) :`
Parameters

Name | Type | Description
--- | --- | ---
$content |  |

`setCreateBuckets( $createBuckets ) :`
Parameters

Name | Type | Description
--- | --- | ---
$createBuckets |  |

`setObject( $object ) :`
Parameters

Name | Type | Description
--- | --- | ---
$object |  |

`setSource( $source ) :`
Parameters

Name | Type | Description
--- | --- | ---
$source |  |

Documentation was generated by DocBlox 0.13.1.